<html>
<head>
<title>Ogre::D3D9Texture::TextureResources Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1D3D9Texture.html">D3D9Texture</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1D3D9Texture_1_1TextureResources.html">TextureResources</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::D3D9Texture::TextureResources Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::D3D9Texture::TextureResources" -->
<p><code>#include &lt;<a class="el" href="OgreD3D9Texture_8h_source.html">OgreD3D9Texture.h</a>&gt;</code></p>

<p><a href="structOgre_1_1D3D9Texture_1_1TextureResources-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">IDirect3DTexture9 *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D9Texture_1_1TextureResources.html#a2c85faa4aeb427de8f5c6f94f3ef00fa">pNormTex</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">1D/2D normal texture pointer  <a href="#a2c85faa4aeb427de8f5c6f94f3ef00fa"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">IDirect3DCubeTexture9 *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D9Texture_1_1TextureResources.html#a411bbfee5d2b2a843b862e0780736d5c">pCubeTex</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">cubic texture pointer  <a href="#a411bbfee5d2b2a843b862e0780736d5c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">IDirect3DVolumeTexture9 *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D9Texture_1_1TextureResources.html#a7d81fcdee9b83c7d0fd0e6ab1cc8e344">pVolumeTex</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Volume texture.  <a href="#a7d81fcdee9b83c7d0fd0e6ab1cc8e344"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">IDirect3DBaseTexture9 *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D9Texture_1_1TextureResources.html#af80358bf8d3817fb2fb2ef57dfb5deba">pBaseTex</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">actual texture pointer  <a href="#af80358bf8d3817fb2fb2ef57dfb5deba"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">IDirect3DSurface9 *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1D3D9Texture_1_1TextureResources.html#a7fa1f814442a33a87cdcb09081077770">pFSAASurface</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Optional FSAA surface.  <a href="#a7fa1f814442a33a87cdcb09081077770"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreD3D9Texture_8h_source.html#l00044">44</a> of file <a class="el" href="OgreD3D9Texture_8h_source.html">OgreD3D9Texture.h</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="af80358bf8d3817fb2fb2ef57dfb5deba"></a><!-- doxytag: member="Ogre::D3D9Texture::TextureResources::pBaseTex" ref="af80358bf8d3817fb2fb2ef57dfb5deba" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">IDirect3DBaseTexture9* <a class="el" href="structOgre_1_1D3D9Texture_1_1TextureResources.html#af80358bf8d3817fb2fb2ef57dfb5deba">Ogre::D3D9Texture::TextureResources::pBaseTex</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>actual texture pointer </p>

<p>Definition at line <a class="el" href="OgreD3D9Texture_8h_source.html#l00053">53</a> of file <a class="el" href="OgreD3D9Texture_8h_source.html">OgreD3D9Texture.h</a>.</p>

</div>
</div>
<a class="anchor" id="a411bbfee5d2b2a843b862e0780736d5c"></a><!-- doxytag: member="Ogre::D3D9Texture::TextureResources::pCubeTex" ref="a411bbfee5d2b2a843b862e0780736d5c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">IDirect3DCubeTexture9* <a class="el" href="structOgre_1_1D3D9Texture_1_1TextureResources.html#a411bbfee5d2b2a843b862e0780736d5c">Ogre::D3D9Texture::TextureResources::pCubeTex</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>cubic texture pointer </p>

<p>Definition at line <a class="el" href="OgreD3D9Texture_8h_source.html#l00049">49</a> of file <a class="el" href="OgreD3D9Texture_8h_source.html">OgreD3D9Texture.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7fa1f814442a33a87cdcb09081077770"></a><!-- doxytag: member="Ogre::D3D9Texture::TextureResources::pFSAASurface" ref="a7fa1f814442a33a87cdcb09081077770" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">IDirect3DSurface9* <a class="el" href="structOgre_1_1D3D9Texture_1_1TextureResources.html#a7fa1f814442a33a87cdcb09081077770">Ogre::D3D9Texture::TextureResources::pFSAASurface</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Optional FSAA surface. </p>

<p>Definition at line <a class="el" href="OgreD3D9Texture_8h_source.html#l00055">55</a> of file <a class="el" href="OgreD3D9Texture_8h_source.html">OgreD3D9Texture.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2c85faa4aeb427de8f5c6f94f3ef00fa"></a><!-- doxytag: member="Ogre::D3D9Texture::TextureResources::pNormTex" ref="a2c85faa4aeb427de8f5c6f94f3ef00fa" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">IDirect3DTexture9* <a class="el" href="structOgre_1_1D3D9Texture_1_1TextureResources.html#a2c85faa4aeb427de8f5c6f94f3ef00fa">Ogre::D3D9Texture::TextureResources::pNormTex</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>1D/2D normal texture pointer </p>

<p>Definition at line <a class="el" href="OgreD3D9Texture_8h_source.html#l00047">47</a> of file <a class="el" href="OgreD3D9Texture_8h_source.html">OgreD3D9Texture.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7d81fcdee9b83c7d0fd0e6ab1cc8e344"></a><!-- doxytag: member="Ogre::D3D9Texture::TextureResources::pVolumeTex" ref="a7d81fcdee9b83c7d0fd0e6ab1cc8e344" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">IDirect3DVolumeTexture9* <a class="el" href="structOgre_1_1D3D9Texture_1_1TextureResources.html#a7d81fcdee9b83c7d0fd0e6ab1cc8e344">Ogre::D3D9Texture::TextureResources::pVolumeTex</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Volume texture. </p>

<p>Definition at line <a class="el" href="OgreD3D9Texture_8h_source.html#l00051">51</a> of file <a class="el" href="OgreD3D9Texture_8h_source.html">OgreD3D9Texture.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreD3D9Texture_8h_source.html">OgreD3D9Texture.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:17
</p>
</body>
</html>
